Subject: Re: bug#35047: "Running the Test Suite" root user

From: mikadoZero <[email-masked]>
Date: Sat, 30 Mar 2019 11:30:52 -0400

Tobias Geerinckx-Rice writes:

> mikadoZero,
>
> mikadoZero wrote:
>> Looking at "2.3 Running the Test Suite" of the manual it does not
>> mention that tests should be run as a non root user.
>
> I guess this is one of those (Unix-)cultural knowledge things: it
> wouldn't even occur to me to build or test anything as root unless
> explicitly asked to do so :-)
>
>> The test `tests/pack` fails when `make check` is run as a root user.
>> It
>> does not fail when run as a non root user.  I found this example by
>> running `make check TESTS="tests/pack.scm"`.  Is this an issue for
>> many
>> tests?
>>
>> I can prepare a patch for the relevant part (parts if this also
>> applies
>> to `make check-system` as well) in "2.3 Running the Test Suite" of
>> the
>> manual.
>
> Thanks for the offer!  I think adding yet another gotcha to the manual
> should be a last resort, though.  Many people still miss them and get
> into trouble (and on to IRC).
>
> Could we, in order of preference:
>
> - make these tests pass even when run as root?  (I guess not?)
> - skip them and add ‘n tests not run as root’ to the final tally?
> - refuse to even start the test suite as root?
>
> What ‘root’ means here will depend on why these tests are failing.
>
> Kind regards,
>
> T G-R

Preventing the issue instead of warning of it in the manual sounds like
a better solution to me.